GNU bug report logs - #29306
network-manager-vpnc

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: ng0 <ng0@HIDDEN>; Keywords: patch moreinfo; dated Wed, 15 Nov 2017 10:46:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 29306 <at> debbugs.gnu.org:


Received: (at 29306) by debbugs.gnu.org; 17 Jun 2019 14:08:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 17 10:08:24 2019
Received: from localhost ([127.0.0.1]:43108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hcsJ6-0006k3-EI
	for submit <at> debbugs.gnu.org; Mon, 17 Jun 2019 10:08:24 -0400
Received: from aibo.runbox.com ([91.220.196.211]:54784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1hcsJ3-0006ju-Sy
 for 29306 <at> debbugs.gnu.org; Mon, 17 Jun 2019 10:08:22 -0400
Received: from [10.9.9.210] (helo=mailfront10.runbox.com)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <ng0@HIDDEN>)
 id 1hcsJ1-000415-FQ; Mon, 17 Jun 2019 16:08:19 +0200
Received: by mailfront10.runbox.com with esmtpsa (uid:892961 )
 (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256) (Exim 4.82)
 id 1hcsGe-00044g-IE; Mon, 17 Jun 2019 16:05:52 +0200
Date: Mon, 17 Jun 2019 14:05:50 +0000
From: ng0 <ng0@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#29306] network-manager-vpnc
Message-ID: <20190617140550.5v3pguhvxqmwug7c@uptimegirl>
References: <20171115104514.uxmsrft73kxhepgt@abyayala> <8760aak22g.fsf@HIDDEN>
 <87y320pkwi.fsf@HIDDEN> <877e9kxri6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <877e9kxri6.fsf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 29306
Cc: Jelle Licht <jlicht@HIDDEN>, ng0 <ng0@HIDDEN>, 29306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludovic and Jelle,

Ludovic Courts transcribed 654 bytes:
> Heya,
> 
> Jelle Licht <jlicht@HIDDEN> skribis:
> 
> > ludo@HIDDEN (Ludovic Courtès) writes:
> >
> >> Heya ng0,
> >>
> >> ng0 <ng0@HIDDEN> skribis:
> >>
> >>> From 0cf7c178f8453ffa0984d1f6e18efb61cf55d0d2 Mon Sep 17 00:00:00 2001
> >>> From: ng0 <ng0@HIDDEN>
> >>> Date: Wed, 15 Nov 2017 10:40:46 +0000
> >>> Subject: [PATCH] gnu: Add network-manager-vpnc.
> >>>
> >>> * gnu/packages/gnome.scm (network-manager-vpnc): New variable.
> >
> > Is this still being worked on/relevant? If so, I would like to verify
> > that it does what we want it to do, and get it merged :-).

Feel free to take on this. I have started publishing my old patches,
so there could be some progress in there.
Consider all my open patches here (I have no idea how many) up for
taking (leaving me as co/author), since I'm mainly doing NetBSD and
GNUnet these days.

The last known state of this patch is here:
https://c.n0.is/infotropique/p2/infotropiqueOScore/ports-wip/file/tip/ports/net/network-manager-vpnc/network-manager-vpnc.scm


Cheers,
ng0
 
> Please give it a spin!  It’s sad to see patches bitrot.
> 
> Cheers,
> Ludo’.




Information forwarded to guix-patches@HIDDEN:
bug#29306; Package guix-patches. Full text available.

Message received at 29306 <at> debbugs.gnu.org:


Received: (at 29306) by debbugs.gnu.org; 17 Jun 2019 13:37:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 17 09:37:19 2019
Received: from localhost ([127.0.0.1]:42166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hcrp1-0005lI-8F
	for submit <at> debbugs.gnu.org; Mon, 17 Jun 2019 09:37:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hcrov-0005l2-Lz
 for 29306 <at> debbugs.gnu.org; Mon, 17 Jun 2019 09:37:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48645)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hcrop-0000Ko-4w; Mon, 17 Jun 2019 09:37:07 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=33284 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hcroo-0007nN-GE; Mon, 17 Jun 2019 09:37:06 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Jelle Licht <jlicht@HIDDEN>
Subject: Re: [bug#29306] network-manager-vpnc
References: <20171115104514.uxmsrft73kxhepgt@abyayala>
 <8760aak22g.fsf@HIDDEN> <87y320pkwi.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 29 Prairial an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 17 Jun 2019 15:37:05 +0200
In-Reply-To: <87y320pkwi.fsf@HIDDEN> (Jelle Licht's message of "Mon, 17
 Jun 2019 12:26:53 +0200")
Message-ID: <877e9kxri6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29306
Cc: ng0 <ng0@HIDDEN>, 29306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Heya,

Jelle Licht <jlicht@HIDDEN> skribis:

> ludo@HIDDEN (Ludovic Court=C3=A8s) writes:
>
>> Heya ng0,
>>
>> ng0 <ng0@HIDDEN> skribis:
>>
>>> From 0cf7c178f8453ffa0984d1f6e18efb61cf55d0d2 Mon Sep 17 00:00:00 2001
>>> From: ng0 <ng0@HIDDEN>
>>> Date: Wed, 15 Nov 2017 10:40:46 +0000
>>> Subject: [PATCH] gnu: Add network-manager-vpnc.
>>>
>>> * gnu/packages/gnome.scm (network-manager-vpnc): New variable.
>
> Is this still being worked on/relevant? If so, I would like to verify
> that it does what we want it to do, and get it merged :-).

Please give it a spin!  It=E2=80=99s sad to see patches bitrot.

Cheers,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#29306; Package guix-patches. Full text available.

Message received at 29306 <at> debbugs.gnu.org:


Received: (at 29306) by debbugs.gnu.org; 17 Jun 2019 10:26:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 17 06:26:58 2019
Received: from localhost ([127.0.0.1]:42026 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hcoqo-0005Bv-8Y
	for submit <at> debbugs.gnu.org; Mon, 17 Jun 2019 06:26:58 -0400
Received: from mail1.fsfe.org ([217.69.89.151]:36850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlicht@HIDDEN>) id 1hcoqm-0005Bm-Iv
 for 29306 <at> debbugs.gnu.org; Mon, 17 Jun 2019 06:26:57 -0400
From: Jelle Licht <jlicht@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, ng0 <ng0@HIDDEN>
Subject: Re: [bug#29306] network-manager-vpnc
In-Reply-To: <8760aak22g.fsf@HIDDEN>
References: <20171115104514.uxmsrft73kxhepgt@abyayala> <8760aak22g.fsf@HIDDEN>
Date: Mon, 17 Jun 2019 12:26:53 +0200
Message-ID: <87y320pkwi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29306
Cc: 29306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Heya folks,

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Heya ng0,
>
> ng0 <ng0@HIDDEN> skribis:
>
>> From 0cf7c178f8453ffa0984d1f6e18efb61cf55d0d2 Mon Sep 17 00:00:00 2001
>> From: ng0 <ng0@HIDDEN>
>> Date: Wed, 15 Nov 2017 10:40:46 +0000
>> Subject: [PATCH] gnu: Add network-manager-vpnc.
>>
>> * gnu/packages/gnome.scm (network-manager-vpnc): New variable.

Is this still being worked on/relevant? If so, I would like to verify
that it does what we want it to do, and get it merged :-).

Regards,
Jelle




Information forwarded to guix-patches@HIDDEN:
bug#29306; Package guix-patches. Full text available.
Added tag(s) moreinfo. Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) patch. Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 29306 <at> debbugs.gnu.org:


Received: (at 29306) by debbugs.gnu.org; 16 Nov 2017 09:25:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 16 04:25:32 2017
Received: from localhost ([127.0.0.1]:42562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eFGQO-00087K-NZ
	for submit <at> debbugs.gnu.org; Thu, 16 Nov 2017 04:25:32 -0500
Received: from hera.aquilenet.fr ([141.255.128.1]:45422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1eFGQL-000877-6S
 for 29306 <at> debbugs.gnu.org; Thu, 16 Nov 2017 04:25:29 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id BE008F118;
 Thu, 16 Nov 2017 10:25:30 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id gPzrypq_Ba_9; Thu, 16 Nov 2017 10:25:30 +0100 (CET)
Received: from ribbon (unknown [193.50.110.175])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id E7F28E7AE;
 Thu, 16 Nov 2017 10:25:29 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: ng0 <ng0@HIDDEN>
Subject: Re: [bug#29306] network-manager-vpnc
References: <20171115104514.uxmsrft73kxhepgt@abyayala>
Date: Thu, 16 Nov 2017 10:25:27 +0100
In-Reply-To: <20171115104514.uxmsrft73kxhepgt@abyayala>
 (ng0@HIDDEN's message of "Wed, 15 Nov 2017 10:45:14 +0000")
Message-ID: <8760aak22g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 29306
Cc: 29306 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Heya ng0,

ng0 <ng0@HIDDEN> skribis:

> From 0cf7c178f8453ffa0984d1f6e18efb61cf55d0d2 Mon Sep 17 00:00:00 2001
> From: ng0 <ng0@HIDDEN>
> Date: Wed, 15 Nov 2017 10:40:46 +0000
> Subject: [PATCH] gnu: Add network-manager-vpnc.
>
> * gnu/packages/gnome.scm (network-manager-vpnc): New variable.

I don=E2=80=99t think this patch is crude.  :-)

Minor issues:

> +    (arguments
> +     '(#:tests? #f ;test-import-export is failing

Do you think you could investigate a bit?

> +       (modify-phases %standard-phases
> +         (add-after 'unpack 'patch-Makefile
> +           (lambda _
> +             (substitute* "nm-vpnc-service.conf"
> +               (("own_prefix")
> +                "own")))))))

Please add a comment explaining what this does.

> +    (native-inputs
> +     `(("pkg-config" ,pkg-config)
> +       ("autoconf" ,autoconf)
> +       ("automake" ,automake)
> +       ("pkg-config" ,pkg-config)
> +       ("libtool" ,libtool)
> +       ("intltool" ,intltool)))

Autoconf/Automake/Libtool are probably unnecessary.

Otherwise LGTM, thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#29306; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Nov 2017 10:45:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 15 05:45:57 2017
Received: from localhost ([127.0.0.1]:41024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eEvCe-0007NR-Ty
	for submit <at> debbugs.gnu.org; Wed, 15 Nov 2017 05:45:57 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1eEvCd-0007NF-67
 for submit <at> debbugs.gnu.org; Wed, 15 Nov 2017 05:45:55 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1eEvCW-00011y-S5
 for submit <at> debbugs.gnu.org; Wed, 15 Nov 2017 05:45:49 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34495)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ng0@HIDDEN>)
 id 1eEvCW-00011s-NT
 for submit <at> debbugs.gnu.org; Wed, 15 Nov 2017 05:45:48 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:32775)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1eEvCV-0007QW-9N
 for guix-patches@HIDDEN; Wed, 15 Nov 2017 05:45:48 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1eEvCQ-0000x5-Fm
 for guix-patches@HIDDEN; Wed, 15 Nov 2017 05:45:47 -0500
Received: from aibo.runbox.com ([91.220.196.211]:59950)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <ng0@HIDDEN>)
 id 1eEvCQ-0000vn-6m
 for guix-patches@HIDDEN; Wed, 15 Nov 2017 05:45:42 -0500
Received: from [10.9.9.211] (helo=mailfront11.runbox.com)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <ng0@HIDDEN>) id 1eEvCN-0000Om-6N
 for guix-patches@HIDDEN; Wed, 15 Nov 2017 11:45:39 +0100
Received: from tor-exit.dhalgren.org ([46.165.230.5] helo=localhost)
 by mailfront11.runbox.com with esmtpsa (uid:892961 )
 (TLS1.2:RSA_AES_256_CBC_SHA1:256) (Exim 4.82) id 1eEvC3-0005Dl-RE
 for guix-patches@HIDDEN; Wed, 15 Nov 2017 11:45:20 +0100
Date: Wed, 15 Nov 2017 10:45:14 +0000
From: ng0 <ng0@HIDDEN>
To: guix-patches@HIDDEN
Subject: network-manager-vpnc
Message-ID: <20171115104514.uxmsrft73kxhepgt@abyayala>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="frpou22cptyst7xt"
Content-Disposition: inline
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


--frpou22cptyst7xt
Content-Type: multipart/mixed; boundary="yiw6e2ldvtuulms2"
Content-Disposition: inline


--yiw6e2ldvtuulms2
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

This adds the vpnc plugin for NetworkManager.

I should add a note why the substitute happens
and why the tests are enabled.
Anything I've missed in this first crude patch,
let me know. This is just to provide a base to
help people reproduce the the current NM problem.
--=20
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dl.n0.is/dist/keys/
  WWW: https://we.make.ritual.n0.is

--yiw6e2ldvtuulms2
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0001-gnu-Add-network-manager-vpnc.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 0cf7c178f8453ffa0984d1f6e18efb61cf55d0d2 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Wed, 15 Nov 2017 10:40:46 +0000
Subject: [PATCH] gnu: Add network-manager-vpnc.

* gnu/packages/gnome.scm (network-manager-vpnc): New variable.
---
 gnu/packages/gnome.scm | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index abe430570..996f0f43b 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -5103,6 +5103,51 @@ to virtual private networks (VPNs) via OpenVPN.")
     (license license:gpl2+)
     (properties `((upstream-name . "NetworkManager-openvpn")))))
=20
+(define-public network-manager-vpnc
+  (package
+    (name "network-manager-vpnc")
+    (version "1.2.4")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "mirror://gnome/sources/NetworkManager-vpnc/"
+                    (version-major+minor version)
+                    "/NetworkManager-vpnc-" version ".tar.xz"))
+              (sha256
+               (base32
+                "01gv205p51fsz2pfpch81ax0xm8gwj6646acag5hh0p931j53irr"))))
+    (build-system gnu-build-system)
+    (arguments
+     '(#:tests? #f ;test-import-export is failing
+       #:configure-flags '("--enable-absolute-paths")
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'patch-Makefile
+           (lambda _
+             (substitute* "nm-vpnc-service.conf"
+               (("own_prefix")
+                "own")))))))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("autoconf" ,autoconf)
+       ("automake" ,automake)
+       ("pkg-config" ,pkg-config)
+       ("libtool" ,libtool)
+       ("intltool" ,intltool)))
+    (inputs
+     `(("gtk+" ,gtk+)
+       ("vpnc" ,vpnc)
+       ("network-manager" ,network-manager)
+       ("network-manager-applet" ,network-manager-applet) ;for libnma
+       ("libsecret" ,libsecret)))
+    (home-page "https://wiki.gnome.org/Projects/NetworkManager/VPN")
+    (synopsis "VPNC plug-in for NetworkManager")
+    (description
+     "This extension of NetworkManager allows it to take care of connectio=
ns
+to virtual private networks (VPNs) via VPNC.")
+    (license license:gpl2+)
+    (properties `((upstream-name . "NetworkManager-vpnc")))))
+
 (define-public mobile-broadband-provider-info
   (package
     (name "mobile-broadband-provider-info")
--=20
2.15.0


--yiw6e2ldvtuulms2--

--frpou22cptyst7xt
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEqIyK3RKYKNfqwC5S4i+bv+40hYgFAloMGroACgkQ4i+bv+40
hYh77Q//eL+ZjMtcgYQr4antB4zAK6x4O33njQ7RoXUMIhNDEZtIAPsItqAsgjCl
bLaLYGJvaMmDJBoaMH9Hc/l67q1Vvpn9/RWYmbNKXXeJFIRKDXiVoayMYHV0D9KE
jL7B4mPOfVXRsPiWNemrtSxT6JH1jMj5gU1FFx6QZbb/bDVQoKa1wUROfNfnhbs4
MPk0asmCe9BvfcM/3epr9sBrK/TOTrP9Jd8JXMOxVnHEFR8QsiqUSQPoCynx4Qqf
xYalVAefnYUg6Cqz8qmSQzhpuApa8/bi3wsqc+Ek1Ba3kNCmE0Z6D72U5GnFskAG
kIxg7zwSFJ3Oo7MkePYRRWoyOat/NA3yoZO2PsXuks1eEsL5cmw0QGMZ2Ba0KO/h
gwYFnS3ZJeZ6Qs6vH8jmFrZ1nX526krkZtKgVbt613kj6s6aVkYaqdHiOVkmaRCV
mMqJh9cc0+UE4yV/lNr5X6kxkKSKwamBuEZgu4Y2lR6M/3R/+pKRldQWbZgbCEEL
axrclaNT/6WrUOUGdr/TIe4Brj2lMuKIPV2R6h3I9USwuWl5OwE1g+1fQj0whjdQ
qJY02U2wT3U3tegOQocNNhAnW0df5yepAbrPNSMvoqoZ8RzxbziMP+MroaqGeH/4
hehfIfhfZZMsSmhFjo5FsXRMOmH9Nn5Cv39+LvVR7egtRkYfJLs=
=AcEe
-----END PGP SIGNATURE-----

--frpou22cptyst7xt--




Acknowledgement sent to ng0 <ng0@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#29306; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.